(() => {
    const settings = window.wc.wcSettings.getSetting('atome_data', {});
    const label = window.wp.htmlEntities.decodeEntities(settings.title) || window.wp.i18n.__('Atome', 'atome');
    const Content = () => {
        return window.wp.htmlEntities.decodeEntities(settings.description || '');
    };
    const Block_Gateway = {
        name: 'atome',
        label: label,
        content: Object(window.wp.element.createElement)(Content, null),
        edit: Object(window.wp.element.createElement)(Content, null),
        canMakePayment: () => true,
        ariaLabel: label,
        supports: {
            features: settings.supports,
        },
    };
    console.log(Block_Gateway)
    window.wc.wcBlocksRegistry.registerPaymentMethod(Block_Gateway);
})()

