<?php

namespace _PhpScoperAtome\Atome;

use _PhpScoperAtome\Atome\Config\Config;
use _PhpScoperAtome\Atome\Config\Language;
use _PhpScoperAtome\Atome\Services\Logger;
use _PhpScoperAtome\Atome\Services\Sentry;
use _PhpScoperAtome\Atome\Services\Upgrade;
/** @internal */
class Bootstrap
{
    public function boot()
    {
        Config::instance()->boot();
        Logger::instance()->boot();
        Sentry::instance()->boot();
        Language::instance()->boot();
        (new Upgrade())->boot();
        (new Hook())->boot();
        (new UninstallFeedback())->boot();
        (new PriceDivider())->boot();
    }
}
