<?php

namespace _PhpScoperAtome\Atome\Exceptions;

use _PhpScoperAtome\Atome\Config\Config;
use _PhpScoperAtome\Atome\Config\Language;
use Throwable;
/** @internal */
class MaximumSpeedException extends \Exception
{
    protected $code = -1016;
    public function __construct($message = "", $code = 0, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->message = $this->maximumSpeedError();
    }
    public function maximumSpeedError()
    {
        return Language::instance()->trans('max_spend_error', ['max_spend' => Config::option('max_spend')]);
    }
}
