<?php

namespace _PhpScoperAtome\Atome\Exceptions;

use _PhpScoperAtome\Atome\Config\Language;
use Throwable;
/** @internal */
class UnsupportedCurrencyException extends \Exception
{
    protected $code = -1011;
    public function __construct($message = "", $code = 0, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
        $this->message = Language::instance()->trans('The currency is not supported or does not match, please try again.');
    }
}
