<?php

namespace _PhpScoperAtome\Atome\Payment;

use _PhpScoperAtome\Atome\Config\Config;
/** @internal */
trait Integerize
{
    public function integerize($value)
    {
        $intFactor = Config::instance()->getLocaleConfig('int_factor');
        $intFactor = \is_null($intFactor) ? 100 : (int) $intFactor;
        $value = (float) $value;
        $value *= $intFactor;
        if (\in_array(Config::option('country'), ['id', 'vn'])) {
            $value = \ceil($value);
        } else {
            $value = \round($value);
        }
        return \intval($value);
    }
}
